/*
 * uData API
 * uData API
 *
 * OpenAPI spec version: 1.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.asso.ladoxa.datagouv.models;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * DatasetReference
 */

public class DatasetReference extends BaseReference {
  @JsonProperty("acronym")
  private String acronym = null;

  @JsonProperty("page")
  private String page = null;

  @JsonProperty("title")
  private String title = null;

  @JsonProperty("uri")
  private String uri = null;

   /**
   * An optional dataset acronym
   * @return acronym
  **/
  @ApiModelProperty(value = "An optional dataset acronym")
  public String getAcronym() {
    return acronym;
  }

   /**
   * The web page URL for this dataset
   * @return page
  **/
  @ApiModelProperty(value = "The web page URL for this dataset")
  public String getPage() {
    return page;
  }

   /**
   * The dataset title
   * @return title
  **/
  @ApiModelProperty(value = "The dataset title")
  public String getTitle() {
    return title;
  }

   /**
   * The API URI for this dataset
   * @return uri
  **/
  @ApiModelProperty(value = "The API URI for this dataset")
  public String getUri() {
    return uri;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DatasetReference datasetReference = (DatasetReference) o;
    return Objects.equals(this.acronym, datasetReference.acronym) &&
        Objects.equals(this.page, datasetReference.page) &&
        Objects.equals(this.title, datasetReference.title) &&
        Objects.equals(this.uri, datasetReference.uri) &&
        super.equals(o);
  }

  @Override
  public int hashCode() {
    return Objects.hash(acronym, page, title, uri, super.hashCode());
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DatasetReference {\n");
    sb.append("    ").append(toIndentedString(super.toString())).append("\n");
    sb.append("    acronym: ").append(toIndentedString(acronym)).append("\n");
    sb.append("    page: ").append(toIndentedString(page)).append("\n");
    sb.append("    title: ").append(toIndentedString(title)).append("\n");
    sb.append("    uri: ").append(toIndentedString(uri)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

